Constraint::Impl Class Referenceabstract

Base class for constraint implementations. More...

`#include <ql/math/optimization/constraint.hpp>`

## Public Member Functions

virtual bool | test (const Array &params) const =0
| Tests if params satisfy the constraint.
virtual Array | upperBound (const Array &params) const
| Returns upper bound for given parameters.
virtual Array | lowerBound (const Array &params) const
| Returns lower bound for given parameters.

## Detailed Description

Base class for constraint implementations.